%define upstream_name    Dist-Zilla-Plugin-Test-DistManifest
%define upstream_version 2.0.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Release tests for the manifest
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::DistManifest)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-DistManifestTests < 2.0.0
Provides:   perl-Dist-Zilla-Plugin-DistManifestTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  xt/release/dist-manifest.t - a standard Test::DistManifest test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Mon Sep 26 2011 jquelin <jquelin> 2.0.1-1.mga2
+ Revision: 148557
- update to 2.0.1
- dist renamed upstream

* Wed Jan 26 2011 jquelin <jquelin> 1.101.420-1.mga1
+ Revision: 40400
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-DistManifestTests

